## org.apache.cassandra.utils
Class Allocator

    java.lang.Object
      org.apache.cassandra.utils.Allocator

Direct Known Subclasses:
  HeapAllocator, SlabAllocator

    public abstract class Allocator

extends java.lang.Object

Constructor Summary
`Allocator()`

Method Summary
`abstract java.nio.ByteBuffer` `allocate(int size)`
`java.nio.ByteBuffer` `clone(java.nio.ByteBuffer buffer)` Allocate a slice of the given length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Allocator

    public Allocator()

Method Detail

### clone

    public java.nio.ByteBuffer clone(java.nio.ByteBuffer buffer)

  Allocate a slice of the given length.

### allocate

    public abstract java.nio.ByteBuffer allocate(int size)

Copyright © 2012 The Apache Software Foundation